/*
 * DBeaver - Universal Database Manager
 * Copyright (C) 2010-2016 Serge Rieder (serge@jkiss.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (version 2)
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
package org.jkiss.dbeaver.ui;

import org.jkiss.dbeaver.model.DBIcon;

/**
 * UI Icons
 */
public class UIIcon {

    public static final DBIcon DBEAVER_LOGO = new DBIcon("dbeaver_logo", "dbeaver.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon LOADING1 = new DBIcon("loading1", "animation/loading1.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LOADING2 = new DBIcon("loading2", "animation/loading2.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LOADING3 = new DBIcon("loading3", "animation/loading3.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LOADING4 = new DBIcon("loading4", "animation/loading4.gif"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon PROGRESS0 = new DBIcon("progress0", "animation/progress_0.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS1 = new DBIcon("progress1", "animation/progress_1.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS2 = new DBIcon("progress2", "animation/progress_2.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS3 = new DBIcon("progress3", "animation/progress_3.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS4 = new DBIcon("progress4", "animation/progress_4.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS5 = new DBIcon("progress5", "animation/progress_5.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS6 = new DBIcon("progress6", "animation/progress_6.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS7 = new DBIcon("progress7", "animation/progress_7.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS8 = new DBIcon("progress8", "animation/progress_8.gif"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROGRESS9 = new DBIcon("progress9", "animation/progress_9.gif"); //$NON-NLS-1$ //$NON-NLS-2$


    public static final DBIcon RS_REFRESH = new DBIcon("rs_refresh", "sql/resultset_refresh.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RS_GRID = new DBIcon("rs_mode_grid", "sql/grid.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RS_DETAILS = new DBIcon("rs_details", "sql/details.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RS_FORWARD = new DBIcon("rs_forward", "sql/forward.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RS_BACK = new DBIcon("rs_back", "sql/back.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon TXN_COMMIT_AUTO = new DBIcon("txn_commit_auto", "sql/txn_auto.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon TXN_COMMIT_MANUAL = new DBIcon("txn_commit_manual", "sql/txn_manual.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RULER_POSITION = new DBIcon("ruler_position", "misc/ruler_position.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FIND = new DBIcon("find", "misc/find.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FIND_TEXT = new DBIcon("find_text", "misc/find_text.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SEARCH = new DBIcon("search", "misc/search.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CHECK = new DBIcon("check", "misc/check.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CHECK2 = new DBIcon("check2", "misc/check2.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CHECK_ON = new DBIcon("checked", "misc/checked.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CHECK_OFF = new DBIcon("unchecked", "misc/unchecked.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ZOOM = new DBIcon("zoom", "misc/zoom.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ZOOM_IN = new DBIcon("zoom_in", "misc/zoom_in.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ZOOM_OUT = new DBIcon("zoom_out", "misc/zoom_out.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROTATE = new DBIcon("rotate", "misc/rotate.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROTATE_LEFT = new DBIcon("rotate_left", "misc/rotate_left.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROTATE_RIGHT = new DBIcon("rotate_right", "misc/rotate_right.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FIT_WINDOW = new DBIcon("fit_window", "misc/fit-window.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ORIGINAL_SIZE = new DBIcon("original_size", "misc/original-size.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ASTERISK = new DBIcon("asterisk", "misc/asterisk.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon DROP_DOWN = new DBIcon("drop_down", "misc/drop_down.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BULLET_BLACK = new DBIcon("bullet_black", "misc/bullet_black.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BULLET_GREEN = new DBIcon("bullet_green", "misc/bullet_green.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BULLET_RED = new DBIcon("bullet_red", "misc/bullet_red.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BULLET_STAR = new DBIcon("bullet_star", "misc/bullet_star.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon ARROW_UP = new DBIcon("arrow_up", "misc/arrow_up.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_DOWN = new DBIcon("arrow_down", "misc/arrow_down.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_LEFT = new DBIcon("arrow_left", "misc/arrow_left.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_LEFT_ALL = new DBIcon("arrow_left_all", "misc/arrow_left_all.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_RIGHT = new DBIcon("arrow_right", "misc/arrow_right.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_RIGHT_ALL = new DBIcon("arrow_right_all", "misc/arrow_right_all.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ARROW_RESET = new DBIcon("arrow_reset", "misc/arrow_reset.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SORT_INCREASE = new DBIcon("sort_increase", "misc/sort_increase.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SORT_DECREASE = new DBIcon("sort_decrease", "misc/sort_decrease.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SORT_UNKNOWN = new DBIcon("sort_unknown", "misc/sort_unknown.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FRAME_QUERY = new DBIcon("frame_query", "misc/frame_query.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon FILTER = new DBIcon("filter", "misc/filter.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FILTER_VALUE = new DBIcon("filter_value", "misc/filter_value.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FILTER_INPUT = new DBIcon("filter_input", "misc/filter_input.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FILTER_CLIPBOARD = new DBIcon("filter_clipboard", "misc/filter_clipboard.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FILTER_APPLY = new DBIcon("filter_apply", "misc/filter_apply.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon FILTER_RESET = new DBIcon("filter_reset", "misc/filter_reset.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon EVENT = new DBIcon("event", "misc/event.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon HOME = new DBIcon("home", "misc/home.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon COMPILE = new DBIcon("compile", "misc/compile.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon COMPILE_LOG = new DBIcon("compile_log", "misc/compile_log.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SAVE = new DBIcon("save", "file/save.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SAVE_AS = new DBIcon("save_as", "file/save_as.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LOAD = new DBIcon("load", "file/load.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon RESET = new DBIcon("reset", "file/reset.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon COMPARE = new DBIcon("compare", "file/compare.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ACCEPT = new DBIcon("accept", "sql/accept.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon REJECT = new DBIcon("reject", "sql/cancel.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon REVERT = new DBIcon("revert", "sql/revert.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon IMPORT = new DBIcon("import", "file/import.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon EXPORT = new DBIcon("export", "file/export.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon REFRESH = new DBIcon("refresh", "/refresh.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CONFIRM = new DBIcon("confirm", "misc/confirm.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CLOSE = new DBIcon("close", "misc/close.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon JAR = new DBIcon("jar", "misc/jar.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LIBRARY = new DBIcon("library", "misc/library.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SOURCES = new DBIcon("sources", "misc/sources.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CANCEL = new DBIcon("cancel", "misc/cancel.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PRINT = new DBIcon("print", "misc/print.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BROWSER = new DBIcon("browser", "misc/browser.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon ROW_ADD = new DBIcon("row_add", "sql/row_add.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROW_COPY = new DBIcon("row_copy", "sql/row_copy.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROW_EDIT = new DBIcon("row_edit", "sql/row_edit.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon ROW_DELETE = new DBIcon("row_delete", "sql/row_delete.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon EDIT_DATABASE = new DBIcon("edit_database", "misc/edit_database.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon EDIT_TABLE = new DBIcon("edit_table", "misc/edit_table.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon EDIT_COLUMN = new DBIcon("edit_column", "misc/edit_column.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CONFIG_TABLE = new DBIcon("edit_table", "misc/config_table.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon TREE_EXPAND = new DBIcon("expand", "misc/expand.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon TREE_COLLAPSE = new DBIcon("collapse", "misc/collapse.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon PROJECTS = new DBIcon("projects", "projects.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon DATABASES = new DBIcon("databases", "databases.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SCRIPTS = new DBIcon("scripts", "scripts.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BOOKMARK_FOLDER = new DBIcon("bookmark_folder", "bookmark_folder.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon BOOKMARK = new DBIcon("bookmark", "bookmark.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PICTURE = new DBIcon("picture", "picture.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PICTURE_SAVE = new DBIcon("picture_save", "picture_save.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon PROPERTIES = new DBIcon("properties", "properties.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CONFIGURATION = new DBIcon("configuration", "configuration.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon LINK = new DBIcon("link", "misc/link.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon CURSOR = new DBIcon("cursor", "misc/cursor.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon APACHE = new DBIcon("apache", "misc/apache.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon GEN_DATABASE = new DBIcon("gen_database", "database.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon GEN_DATABASE_TYPE = new DBIcon("gen_database_type", "database_type.png"); //$NON-NLS-1$ //$NON-NLS-2$

    public static final DBIcon SQL_CONNECT = new DBIcon("sql_connect", "sql/connect.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_DISCONNECT = new DBIcon("sql_disconnect", "sql/disconnect.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_SCRIPT = new DBIcon("sql_script", "sql/sql_script.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_EXECUTE = new DBIcon("sql_exec", "sql/sql_exec.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_SCRIPT_EXECUTE = new DBIcon("sql_script_exec", "sql/sql_script_exec.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_ANALYSE = new DBIcon("sql_analyse", "sql/sql_analyse.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_EXPLAIN_PLAN = new DBIcon("sql_explain", "sql/sql_plan.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_VALIDATE = new DBIcon("sql_validate", "sql/sql_validate.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_PREVIEW = new DBIcon("sql_preview", "sql/sql_preview.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SQL_TEXT = new DBIcon("sql_text", "sql/sql_text.png"); //$NON-NLS-1$ //$NON-NLS-2$
    public static final DBIcon SAVE_TO_DATABASE = new DBIcon("save_to_db", "sql/save_to_database.png"); //$NON-NLS-1$ //$NON-NLS-2$

    static  {
        DBIcon.loadIcons(UIIcon.class);
    }
}
